Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556100 - papaki: FTBFS in F28
Summary: papaki: FTBFS in F28
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: papaki
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lin Gao
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:13 UTC by Fedora Release Engineering
Modified: 2018-07-24 07:06 UTC (History)
2 users (show)

Fixed In Version: papaki-1.0.0-0.14.Beta3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 07:06:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 07:52 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 07:52 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 07:52 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 23:13:44 UTC
Your package papaki failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24843314

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-28 07:52:31 UTC
Created attachment 1442772 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-28 07:52:37 UTC
Created attachment 1442773 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-28 07:52:41 UTC
Created attachment 1442774 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:06:19 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Lin Gao 2018-07-23 14:09:30 UTC
@zbyszek, Sorry for late response. It was my old package several years ago. I noticed that it still uses the `jpackage-utils` BuildRequires, so I replaced it with `javapackages-local` like other Java package does.

I did not manage to trigger a build because I currently have an old version of Fedora, I cannot clone the package down.

Can anyone help trigger a build for it with latest papaki.spec ? Thanks. :)

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-24 07:06:06 UTC
Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.